> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abusix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get case group



## OpenAPI

````yaml get /beta/ops/case-groups/{caseGroupId}
openapi: 3.0.1
info:
  title: abusix-api
  version: '2026-04-08T06:45:02Z'
servers:
  - url: https://api.abusix.com
security: []
paths:
  /beta/ops/case-groups/{caseGroupId}:
    get:
      parameters:
        - name: caseGroupId
          in: path
          description: Unique case group identifier (UUID)
          required: true
          schema:
            type: string
          example: 05a87372-834c-45ad-b5ef-b535e807e0b0
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaseGroup'
        '400':
          description: 400 response
          content: {}
        '401':
          description: 401 response
          content: {}
        '404':
          description: 404 response
          content: {}
      security:
        - abusix-api-gateway-authorizer-prod: []
components:
  schemas:
    CaseGroup:
      required:
        - archive_enabled
        - case_per_contract
        - case_per_event
        - color
        - id
        - name
      type: object
      properties:
        archive_enabled:
          type: boolean
          description: >-
            Whether cases in this group are archived when they reach a terminal
            state (RESOLVED or CLOSED)
        case_per_contract:
          type: boolean
          description: Whether cases are separated per contract
        case_per_event:
          type: boolean
          description: Whether every event creates its own case
        color:
          type: string
          description: >-
            Display color of the case group, usually one of: primary, violet,
            green, neutral, yellow, teal, orange, pink, red, or purple
        description:
          type: string
          description: Description of the case group, null if not set
        id:
          type: string
          description: Unique case group identifier (UUID)
        name:
          type: string
          description: Name of the case group
        playbook_id:
          type: integer
          description: >-
            Identifier of the playbook that handles cases in this group, null if
            none
  securitySchemes:
    abusix-api-gateway-authorizer-prod:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.